#ifndef register_ioctl_h_INCLUDED
	#define register_ioctl_h_INCLUDED

enum state {
	STATE_UNKNOWN = -1,
	STATE_OFF     =  0,
	STATE_ON      =  1
};

#define IOCTL_ID_REGISTER 42
#define IOCTL_SET_WP   _IOW(IOCTL_ID_REGISTER, 0, enum state)
#define IOCTL_SET_SMAP _IOW(IOCTL_ID_REGISTER, 1, enum state)
#define IOCTL_SET_SMEP _IOW(IOCTL_ID_REGISTER, 2, enum state)

enum command {
	COMMAND_UNKNOWN = -1,
	COMMAND_WP = IOCTL_SET_WP,
	COMMAND_SMAP = IOCTL_SET_SMAP,
	COMMAND_SMEP = IOCTL_SET_SMEP
};

#endif
