#ifndef hax_ioctl_h_INCLUDED
	#define hax_ioctl_h_INCLUDED

enum state {
	STATE_UNKNOWN = -1,
	STATE_OFF     =  0,
	STATE_ON      =  1
};

typedef char* user_buf;
typedef int (*user_fun)(int arg);

#define IOCTL_ID_HAX 69
#define IOCTL_READ_USER _IOW(IOCTL_ID_HAX, 0, user_buf)
#define IOCTL_EXEC_USER _IOW(IOCTL_ID_HAX, 1, user_fun)

enum command {
	COMMAND_UNKNOWN = -1,
	COMMAND_READ_USER = IOCTL_READ_USER,
	COMMAND_EXEC_USER = IOCTL_EXEC_USER
};

#endif
