#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <string.h>
#include <sys/ioctl.h>
#include <sys/param.h>
#include <unistd.h>

#include "hax_ioctl.h"

static char string[] = "Hello from Userspace :)!\n";

int main(int argc, char **argv) {
	int dev_fd = open("/dev/hack_registers", O_RDWR);
	if(dev_fd == -1) {
		printf("Error opening device file: %s\n", strerror(errno));
		return -1;
	}

	if(ioctl(dev_fd, IOCTL_READ_USER, string) == -1) {
		close(dev_fd);
		printf("Error sending ioctl to device file: %s\n", strerror(errno));
		return -2;
	}

	printf("Sending ioctl was successful!\n");
	close(dev_fd);

	return 0;
}
